Subject: Re: bug#66394: 29.1; Make register-read-with-preview more useful

From: Eshel Yaron <[email-masked]>
Date: Sat, 02 Dec 2023 14:02:52 +0100

Thierry Volpiatto <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Hi Bastien and Eshel,
>>
>> I see, you want to go fast.

Thanks, but this not only about speed.
Using a minibuffer to read a key has other disadvantages: it limits
the range of keys that can be easily used as registers since now
specifying the `C-a` register is much harder (as Michael mentioned).
This also makes register commands less convenient or and even
impossible (when `enable-recursive-minibuffers` is nil) to use inside
an existing minibuffer.

>> Using read-key+minibuffer, as I said would be a pain to implement,
>> hopefully (IIUC) we can use only minibuffer and exit immediately and it
>> is simple to implement (3 lines):
>>
>> 1) Set register-use-preview to nil.

Hmm, but this disables the automatic register preview, which I still want
to see, preferably after a short delay, just like before.

>> 2) Apply this patch on register.el:
>> ...
>>
>> Let me know if this is acceptable for you.
>
> Even better is this patch which ask for confirmation when overwriting a
> register but not when jumping, inserting or setting a new register:
>
> ...

That's improves things a bit, but see above.  I can see how confirmation
could be helpful for some people, but not everyone would appreciate the
added friction.  I basically suggest reverting to the previous behavior
(or otherwise restoring full compatibility), and making any involvement
of the minibuffer in reading registers optional, for example by
providing a new user option `register-read-from-minibuffer`.

Best,

Eshel